<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.m05bConstantesPaginas" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>
	
<HTML>
<% String persona = (String) session.getAttribute("persona");
   String origen = request.getParameter("Origen")==null?"":request.getParameter("Origen");	
%>
<head>
		<title> <%= resTit.getString("titRelCentros")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_CENTROS%>";
			detActual = '<%=resCM.getString("cmRelCentros")%>';
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
			rutaCabecera = "";
		</SCRIPT>
		<%if(origen==null || origen.equals("")){%>
			<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
		<%}%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<%if(origen==null || origen.equals("")){%>
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
			<%}%>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			 <FORM NAME="FormRelCentros" METHOD="POST">
			      <%	m05bFileLog miLog = new m05bFileLog();
						int contador = 0;
						String sql = "", sql2 = "",objOrigen="";
						String codigo="", descripcion="";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
						
						codigo = request.getParameter("Codigo");
						if ((codigo == null) || (!(codigo.equals("Nuevo")))) { 
						   if (codigo != null)
						   		codigo = codigo.toUpperCase();
						   descripcion = request.getParameter("Descripcion");
					   	   if (descripcion != null)
						   		descripcion = descripcion.toUpperCase();
						}
						
						miLog.addTraza(persona, "Rel Talleres","ORIGEN: " + origen,m05bConstantes.LOG_NIVEL_BAJO);
						if (origen.equals("formTarjetas")){
							origen = "opener.document." + origen;
						} else {
							origen = "document.FormRelCentros";
						}
					%>
					 <TABLE class="general">
					    <tr> 
					      <%if(origen.equals("document.FormRelCentros")){%>
					      	<td width="90%" align="right"> 
					      		<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      	</td>	
					      	<td align="right"> 
					      		<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      	</td>
						  <%}else{%>
						  	<td width="90%" align="right"></td>
						  	<td align="right">
						  		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:window.close();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
						  	</td>
						  <%}%>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr > 
					       <td class="searchTitle" width="30%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="70%"><%= res.getString("etDescripcion")%></td>
					    </tr>
					 </TABLE>
					<%
					try {
							session.removeAttribute("Centro");

						sql = "select COD_CTRO_05, "+"NVL("+ campoTexto+m05bConstantes.COL_05_DESC+","+m05bConstantes.COL_05_DESC+") from M0505T00";
						if ( (codigo == null) || (codigo.equals("") ))
							sql2 = sql2;
						else{	
							codigo = "%" + codigo + "%";
							sql2 = sql2 + " where COD_CTRO_05 like ? ";
						}
						if ( (descripcion == null) || (descripcion.equals("")))
							sql2 = sql2;
						else{
							descripcion = '%' + descripcion + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where "+campoTexto+"DESCRIP_05 like ? ";
						 	else
						 		sql2 = sql2 + " and "+campoTexto+"DESCRIP_05 like ? ";
						}
						sql = sql + sql2 + " order by COD_CTRO_05";
						
						//m05bbBeginSelect(sql);
		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
                        pstmt = conn.prepareStatement(sql);
						if ((codigo == null) || (codigo.equals(""))  )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, codigo);
						}
						if ( (descripcion == null) || (descripcion.equals("")) )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, descripcion);
						}

						//m05bRS = m05bPStmt.executeQuery();
		                //pstmt = conn.prepareStatement(sql);
		                rs = pstmt.executeQuery();												
						contador=0;
					%>
						<TABLE class="general">
					<%
						while (rs.next() == true){
							codigo = rs.getString("COD_CTRO_05");
							descripcion= rs.getString(2);
							if (descripcion==null)
								descripcion="";
							contador = contador + 1;  %>
							<tr>
							   <td class=inputFieldTitle width="30%"><FONT size=2><A href="JavaScript:fncModificar('<%=codigo%>','<%=descripcion%>',<%=origen%>)"><%=codigo%></A></FONT></td>
					   		   <td class=inputFieldTitle width="70%"><FONT size=2><%=descripcion%></FONT></td>
							</tr>
					<%}%>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="2"><%= res.getString("etTotal")%> <%=contador%></td>
						    		<input type="hidden" name="Origen" value="<%=(request.getParameter("Origen")==null?"":request.getParameter("Origen"))%>" />
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3">
			<%if(origen.equals("document.FormRelTalleres")){%>
				<%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	
			<%}%>
			</td>
	</tr>
</table>
<SCRIPT language="JavaScript">
	function fncNuevo() {
	   var docu = document.FormRelCentros;
       docu.action="m05bCentrosJsp.jsp?Codigo=&Mensaje=false";
       docu.submit();
	}  // fin funcion fncNuevo
	function fncModificar(codigo, descripcion, origen) {
		var docu = document.FormRelCentros;
		if (origen.name == "formTarjetas"){
            origen.CodCentro.value=codigo;
            origen.DescCentro.value=descripcion;
            window.close();
		} else {
        	docu.action="m05bGenerarCentroServlet?Codigo=" + codigo + "&Mensaje=false";
        	docu.submit();
		}
        
    }// fin funcion fncModificar	
    function fncImprimir() {
		var docu = document.FormRelCentros;
        docu.action="m05bCentroPDFJsp.jsp";
        docu.submit();
    }  // fin funcion fncImprimir

    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception SQLException) {
	miLog.addTraza(SQLException);
} finally {
	//m05bEndSelect();
    if (rs != null)
        rs.close();
	if (pstmt != null)
	    pstmt.close();
	if (conn != null)
	    conn.close();

	
}%>
</BODY>
</HTML>